# Settaggio Regole di Gioco
gamerule commandBlockOutput false
gamerule doDaylightCycle false
gamerule doFireTick false
gamerule doMobLoot false
gamerule doMobSpawning false
gamerule doTraderSpawning false
gamerule doWeatherCycle false
gamerule drowningDamage false
gamerule fallDamage false
gamerule fireDamage false
gamerule keepInventory true
gamerule logAdminCommands false
gamerule mobGriefing false
gamerule randomTickSpeed 0
gamerule reducedDebugInfo true
gamerule sendCommandFeedback false
gamerule showDeathMessages false
gamerule spawnRadius 0

defaultgamemode adventure
difficulty normal
recipe give @a[tag=dh.t_giocatori] *

team modify dh.s_squadra1 collisionRule never
team modify dh.s_squadra2 collisionRule never

setworldspawn 600 67 -892
spawnpoint @a[tag=dh.t_primoGiocatore] 601 67 -892
spawnpoint @a[tag=dh.t_secondoGiocatore] 600 67 -893



# Settaggio Modalità
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] at @s run playsound ui.toast.challenge_complete ambient @s ~ ~ ~ 1 2
execute as @a[tag=dh.t_giocatori,gamemode=!adventure,advancements={dh.c_i_15_tesori_minecraftiani:primari/primario_3=false}] run advancement grant @s only dh.c_i_15_tesori_minecraftiani:primari/primario_3
execute as @a[tag=dh.t_giocatori,gamemode=!adventure] run gamemode adventure @s

execute as @a[tag=dh.t_spettatore,gamemode=!spectator] run gamemode spectator @s
execute as @a[tag=dh.t_spettatore] unless entity @s[x=598,y=68.5,z=-900,dx=5,dy=3,dz=5] run tp @s 601.0 69 -897.0



# Entità e Blocchi
execute unless entity @a[tag=dh.t_giocatori,nbt={Inventory:[{id:"minecraft:written_book",Count:1b,tag:{title:"Tomo del Sapere"}}]}] unless entity @e[type=minecraft:item,nbt={Item:{id:"minecraft:written_book",tag:{title:"Tomo del Sapere"}}}] unless block 607 67 -897 minecraft:lectern{Book:{id:"minecraft:written_book",Count:1b,tag:{title:"Tomo del Sapere"}}} run give @a[tag=dh.t_giocatori,limit=1] minecraft:written_book{title:"Tomo del Sapere",author:"Sconosciuto",pages:['','','','','','','','','','','','','','','','','',''],HideFlags:32,CanPlaceOn:["minecraft:lectern"]}

execute as @e[tag=dh.t_bloccoItem16,type=area_effect_cloud] at @s unless block ~ ~ ~ minecraft:sweet_berry_bush[age=3] run setblock ~ ~ ~ minecraft:sweet_berry_bush[age=3]
kill @e[type=item,nbt={Item:{id:"minecraft:sweet_berries"}}]

# Settaggio Punteggi
function dh.c_i_15_tesori_minecraftiani:dh.c2_pre_finale/dh.f.b_punteggi

# Effetti
function dh.c_i_15_tesori_minecraftiani:dh.c2_pre_finale/dh.f.c_effetti



# CB Titolo
execute if block 590 45 -895 minecraft:red_wool run data merge block 591 45 -892 {auto:1b}



# CB Discorsi 600 67 -892
execute if entity @e[tag=dh.t_avvioDiscorsiEpilogo,type=area_effect_cloud,nbt={Age:100}] run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso1
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1Epilogo,tag=!dh.t_nienteReliquia14] if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_reliquie matches 15 if block 598 45 -898 minecraft:red_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso1Epilogo,tag=dh.t_nienteReliquia14] if score @e[tag=dh.t_giocatoreFinto,type=armor_stand,limit=1] dh.o_reliquie matches 14 if block 598 45 -898 minecraft:red_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorsoNonLetto,type=armor_stand] if block 598 45 -898 minecraft:red_wool run tag @e[tag=dh.t_giocatoreFinto,type=armor_stand] add dh.t_discorso2

execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso1,type=armor_stand] run data merge block 592 45 -892 {auto:1b}
execute if entity @e[tag=dh.t_giocatoreFinto,tag=dh.t_discorso2,type=armor_stand] run data merge block 592 45 -892 {auto:1b}



# Libro
execute as @e[tag=dh.t_giocatoreFinto,type=minecraft:armor_stand,limit=1] run function dh.c_i_15_tesori_minecraftiani:dh.c2_pre_finale/dh.f.g_libro



# Teletrasporto livello finale
execute if entity @a[tag=dh.t_giocatori,x=600,y=66,z=-923,distance=..3] if score @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2Epilogo,tag=!dh.t_nienteReliquia14,type=minecraft:armor_stand,limit=1] dh.o_reliquie matches 15 run data merge block 593 45 -892 {auto:1b}
execute if entity @a[tag=dh.t_giocatori,x=600,y=66,z=-923,distance=..3] if score @e[tag=dh.t_giocatoreFinto,tag=dh.t_fineDiscorso2Epilogo,tag=dh.t_nienteReliquia14,type=minecraft:armor_stand,limit=1] dh.o_reliquie matches 14 run data merge block 593 45 -892 {auto:1b}